Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1488332 - RHCS iSCSI installation fails due to RHEL version enforced as `7.3`
Summary: RHCS iSCSI installation fails due to RHEL version enforced as `7.3`
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: Ceph Integration
Version: 2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 2
Assignee: Jason Dillaman
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
: 1489116 (view as bug list)
Depends On: 1484083
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-05 07:50 UTC by Vimal Kumar
Modified: 2021-06-10 12:57 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github pcuzner ceph-iscsi-ansible pull 6 0 None None None 2017-09-06 17:23:34 UTC

Description Vimal Kumar 2017-09-05 07:50:37 UTC
1) Description of problem

The current ceph-iscsi installer playbooks for RHCS2.x enforces the RHEL version to be 7.3.

Since 7.4 has been released, this makes it impossible to install iSCSI on a RHEL7.4 node. 

In `roles/ceph-iscsi-gw/tasks/main.yml` from the package `ceph-iscsi-ansible.noarch` version `1.5-5.el7scon`:

~~~
- name: OS Compatibility Check (RHEL 7.3)
  assert:
    that:
      - "ansible_distribution == 'RedHat'"
      - "ansible_distribution_version == '7.3'"
~~~

2) Version-Release number of selected component (if applicable):

RHCS2.3
RHEL7.4
ceph-iscsi-ansible-1.5-5.el7scon.noarch.rpm

3) How reproducible:

Always

4) Steps to Reproduce:

* Use a RHEL7.4 node
* Run the iscsi playbooks with `ansible-playbook ceph-iscsi-gw.yml`
* The installation process will error out with:

~~~
PLAY [ceph-iscsi-gw] ***********************************************************

TASK [setup] *******************************************************************
ok: [target2]
ok: [target1]

TASK [ceph-iscsi-gw : OS Compatibility Check (RHEL 7.3)] ***********************
fatal: [target1]: FAILED! => {
    "assertion": "ansible_distribution_version == '7.3'", 
    "changed": false, 
    "evaluated_to": false, 
    "failed": true
}
fatal: [target2]: FAILED! => {
    "assertion": "ansible_distribution_version == '7.3'", 
    "changed": false, 
    "evaluated_to": false, 
    "failed": true
}
	to retry, use: --limit @/usr/share/ceph-ansible/ceph-iscsi-gw.retry

PLAY RECAP *********************************************************************
target1                    : ok=1    changed=0    unreachable=0    failed=1   
target2                    : ok=1    changed=0    unreachable=0    failed=1  
~~~

5) Additional info:

Changing the directive "ansible_distribution_version == '7.3'" to "ansible_distribution_version >= '7.3'"  in `/usr/share/ceph-ansible/roles/ceph-iscsi-gw/tasks/main.yml` fixes the problem, since it evaluates if the installation is above 7.3.

Comment 4 Jason Dillaman 2017-09-05 17:53:17 UTC
Note that since under RHCS 3.0 all iSCSI ansible bits should be rolled under the ceph-ansible package [1] and barring any async releases for this RHCS 2.3 issue, it should just be flagged POST for RHCS 3 once the PR merges.

[1] https://github.com/ceph/ceph-ansible/pull/1747

Comment 7 Jason Dillaman 2017-09-06 17:21:27 UTC
Upstream PR: https://github.com/pcuzner/ceph-iscsi-ansible/pull/6

Comment 8 Ken Dreyer (Red Hat) 2017-09-06 18:10:23 UTC
*** Bug 1489116 has been marked as a duplicate of this bug. ***

Comment 13 Shubhendu Tripathi 2018-11-19 05:44:27 UTC
This product is EOL now


Note You need to log in before you can comment on or make changes to this bug.